Package Details: gns3-gui 2.2.25-1

Git Clone URL: https://aur.archlinux.org/gns3-gui.git (read-only, click to copy)
Package Base: gns3-gui
Description: GNS3 network simulator. Graphical user interface package.
Upstream URL: https://github.com/GNS3/gns3-gui
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 81
Popularity: 1.26
First Submitted: 2014-05-13 18:56
Last Updated: 2021-09-14 15:57

Dependencies (13)

Required by (1)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

demolisher commented on 2020-07-28 00:17

Hello, deanvry. Had the same issue. Just downgrade PyQt5 to version 5.14.1 and everything starts working again.

Anonymous comment on 2020-07-19 10:44

Hello, im having a weird some kind of error? the gns3-gui cant start and open up the GUI. Its just stuck like this:

2020-07-19 17:42:55 INFO root:126 Log level: DEBUG
2020-07-19 17:42:55 INFO main:256 GNS3 GUI version 2.2.11
2020-07-19 17:42:55 INFO main:257 Copyright (c) 2007-2020 GNS3 Technologies Inc.
2020-07-19 17:42:55 INFO main:259 Application started with /usr/bin/gns3--debug

For the test, i can run gns3-server with its web ui smoothly.

buzo commented on 2020-06-05 16:44

Thanks cioby23, fixed.

cioby23 commented on 2020-06-04 14:25

Beginning with version 2.2.9 python-raven have been deprecated and replaced by python-sentry_sdk. The PKGBUILD needs to be updated with this dependency. https://aur.archlinux.org/packages/python-sentry_sdk/

almooj commented on 2020-03-07 20:04

Hi DevStacker99, your suggestion has been invaluable! Everything works!!! Thank you so much my friend :)

DevStacker99 commented on 2020-03-07 01:20

hello guys, so i had the same error as @almooj and this is how i solved it :


cd /tmp
git clone https://aur.archlinux.org/python-jsonschema26.git
cd python-jsonschema26 
makepkg -si --nocheck

I hope this will help

Thanks in advance.


picokan commented on 2020-03-03 15:46

I have the exact same error output as almooj. Edit: Not quite exact, instead of /tmp/yaourt... I have /home/user/.cache/yay/...

almooj commented on 2020-03-01 22:53

Hello Buzo and hello everyone, when I try to add the "python-jsonschema26" package I have the following error:

[ERROR]
Traceback (most recent call last):
  File "/usr/lib/python3.8/unittest/case.py", line 60, in testPartExecutor
    yield
  File "/usr/lib/python3.8/unittest/case.py", line 676, in run
    self._callTestMethod(testMethod)
  File "/usr/lib/python3.8/unittest/case.py", line 633, in _callTestMethod
    method()
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/tests/test_jsonschema_test_suite.py", line 63, in test_case
    validate(data, schema, cls=self.validator_class, **kwargs)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 541, in validate
    cls(schema, *args, **kwargs).validate(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 129, in validate
    for error in self.iter_errors(*args, **kwargs):
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 105, in iter_errors
    for error in errors:
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_validators.py", line 163, in format
    validator.format_checker.check(instance, format)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 96, in check
    result = func(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 259, in is_css21_color
    instance.lower() in webcolors.css21_names_to_hex
builtins.AttributeError: module 'webcolors' has no attribute 'css21_names_to_hex'

jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_26_a_valid_CSS_color_name
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_27_a_valid_six_digit_CSS_color_code
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_28_a_valid_three_digit_CSS_color_code
===============================================================================
[ERROR]
Traceback (most recent call last):
  File "/usr/lib/python3.8/unittest/case.py", line 60, in testPartExecutor
    yield
  File "/usr/lib/python3.8/unittest/case.py", line 676, in run
    self._callTestMethod(testMethod)
  File "/usr/lib/python3.8/unittest/case.py", line 633, in _callTestMethod
    method()
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/tests/test_jsonschema_test_suite.py", line 68, in test_case
    validate(data, schema, cls=self.validator_class, **kwargs)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 541, in validate
    cls(schema, *args, **kwargs).validate(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 129, in validate
    for error in self.iter_errors(*args, **kwargs):
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/validators.py", line 105, in iter_errors
    for error in errors:
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_validators.py", line 163, in format
    validator.format_checker.check(instance, format)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 96, in check
    result = func(instance)
  File "/tmp/yaourt-tmp-neo/aur-python-jsonschema26/src/jsonschema-2.6.0/build/lib/jsonschema/_format.py", line 259, in is_css21_color
    instance.lower() in webcolors.css21_names_to_hex
builtins.AttributeError: module 'webcolors' has no attribute 'css21_names_to_hex'

jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_29_an_invalid_CSS_color_code
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_30_an_invalid_CSS_color_name
jsonschema.tests.test_jsonschema_test_suite.TestDraft3.test_format_31_a_CSS_color_name_containing_invalid_characters
-------------------------------------------------------------------------------
Ran 739 tests in 0.652s

FAILED (skips=2, errors=6, successes=731)
==> ERRORE: Si è verificato un errore in check().
    L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare python-jsonschema26.
==> Riavviare la compilazione di python-jsonschema26 [s/N]

I tried to downgrade the python and to install the last version of python-jsonschema (3.2.0-2) but the situation has not changed. Can you help me please?

Thanks in advance.

EnSER commented on 2020-03-01 16:42

@Archange Any updates with your packaging effort? Would be really great if GNS3 could move to community!

buzo commented on 2020-01-18 13:55

Yes, Python packages need a rebuild after Arch moved to Python 3.8 in October 2019. So rebuilding python-jsonschema26 should fix this indeed.